from launch import LaunchDescription
from launch_ros.actions import Node
from ament_index_python.packages import get_package_share_directory
import os


def generate_launch_description():
    pkg_dir = get_package_share_directory('world')
    config_file = os.path.join(pkg_dir, 'config', 'config.yaml')
    
    node = Node(
        package='world',
        executable='world_node',
        name='world_node',
        output='screen',
        parameters=[config_file],
    )
    
    return LaunchDescription([node])